/*
 * @(#) EmailInspectorExample.java
 *
 * Copyright (c) JSCAPE LLC.
 *
 * This software is the confidential and proprietary information of
 * JSCAPE. ("Confidential Information").  You shall not disclose such
 * Confidential Information and shall use it only in accordance with
 * the terms of the license agreement you entered into with JSCAPE.
 */

import com.jscape.inspect.*;
import java.io.*;

public class EmailInspectorExample {
	
	public static void main(String[] args) throws Exception {
		String email = null;
		String dns = null;
		
        BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
        System.out.print("Enter email address to validate: ");
        email = reader.readLine();
        System.out.print("Enter DNS hostname to perform domain validation (e.g. ns.myhost.com): ");
        dns = reader.readLine();
        // create EmailInspector instance
        EmailInspector inspector = new EmailInspector();
        
        // enable debugging
        inspector.setDebug(true);
        
        // set DNS server
        inspector.setNameserver(dns);
        
        // set validation level
        inspector.setEmailInspectionLevel(inspector.DOMAIN_VALIDATION);
        
        // validate email
        inspector.validate(email);
	}

}
