/*
 * @(#)PopExample.java
 *
 * Copyright (c) JSCAPE LLC.
 *
 * This software is the confidential and proprietary information of
 * JSCAPE. ("Confidential Information").  You shall not disclose such
 * Confidential Information and shall use it only in accordance with
 * the terms of the license agreement you entered into with JSCAPE.
 */

import com.jscape.inet.pop.*;
import com.jscape.inet.email.*;
import com.jscape.inet.mime.*;
import java.util.Enumeration;
import java.io.*;

public class PopExample {
    
    static BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
    
    // get messages from Pop mailbox
    public void getMessages(String hostname, String username, String password) throws PopException, MimeException, IOException {
        Pop pop = new Pop(hostname,username,password);
        pop.connect();
        System.out.println("Retrieving messages...");
        
        // get message count
        int messageCount = pop.getMessageCount();
	
        if(messageCount < 1) {
            System.out.println("No messages found");
        }

	// get all messages
	for(int i = 1; i <= messageCount; ++i) {
	  EmailMessage msg = (EmailMessage)pop.getMessage(i);
          System.out.println("-- begin message --");
          System.out.println(new String(msg.getMessage()));
          System.out.println("-- end message --");
            
          System.out.print("ENTER for next message or type QUIT to quit: ");
          String command = reader.readLine();
          
	  if(command.equalsIgnoreCase("quit")) {
                break;
          }
	}
        pop.disconnect();
    }
    
    public static void main(String[] args) {
        String hostname;
        String username;
        String password;
        
        try {
            System.out.print("Enter Pop3 hostname (e.g. mail.domain.com): ");
            hostname = reader.readLine();
            System.out.print("Enter Pop3 Username: ");
            username = reader.readLine();
            System.out.print("Enter Pop3 Password: ");
            password = reader.readLine();
            PopExample example = new PopExample();
            example.getMessages(hostname,username,password);
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }
}

